Update Web Server Certificate Setting
Update the HTTPS certificate settings of the PBX web server.
Prerequisites
The PBX uses a self-signed certificate by default. To use a custom certificate, you need to complete the following prerequisites:
Request URL
POST {base_url}/{api_path}/webserver/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| https_cert | Yes | String | The name of the desired certificate. Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Example
Request parameter
POST /openapi/v1.0/webserver/update?access_token=GCTkIKhKvbF7DCmguyEN7qJnAO6SEjuD HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"https_cert": "example.domain.com.crt"
}Response parameter
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}